summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /www-client/conkeror
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'www-client/conkeror')
-rw-r--r--www-client/conkeror/Manifest5
-rw-r--r--www-client/conkeror/conkeror-1.0_pre20140212.ebuild59
-rw-r--r--www-client/conkeror/conkeror-1.0_pre20141005.ebuild59
-rw-r--r--www-client/conkeror/conkeror-1.0_pre20150227.ebuild59
-rw-r--r--www-client/conkeror/conkeror-1.0_pre20150519.ebuild59
-rw-r--r--www-client/conkeror/files/conkeror-r2.sh14
-rw-r--r--www-client/conkeror/files/conkeror.desktop14
-rw-r--r--www-client/conkeror/metadata.xml20
8 files changed, 289 insertions, 0 deletions
diff --git a/www-client/conkeror/Manifest b/www-client/conkeror/Manifest
new file mode 100644
index 00000000000..753c2b22bb8
--- /dev/null
+++ b/www-client/conkeror/Manifest
@@ -0,0 +1,5 @@
+DIST conkeror-1.0_pre20140212.tar.gz 310931 SHA256 ecc434ed3c7703fe78c3413402ebb8b0ad7453d3ac65345a5ece329f615b0d32 SHA512 08174a50b5aca69a76ee1686c460cd62bc51d75030c067202be5acb947e6ebfb209adf5797be0096256eef913e688c401cdccd5afa1e738390458b244378c41e WHIRLPOOL 25c6eeb676d3e4238d27884b13bc298dd263811bbc19df3afbf833c5359283bb40a15e63725dbc2d7f9b990963fde4c1e070c1f44a06132b99ca2d6d951bb0cb
+DIST conkeror-1.0_pre20141005.tar.gz 313907 SHA256 46bd153cd98381ab2f073af984a00aa0b2b612b587136b092efa3909e2bb5f28 SHA512 229c21e3001dd54a7e5c23db0458052c2c559ee45e851fff1d7db61b1fd7893d7c0ec53159b333a7908c356f025a8e9e01f9ef608cffd7b3dd0c01c07eac754d WHIRLPOOL 20d6198441c1ca03419ada61611f08711ffcd6cfc13f39c7bda889396643713bfc31937aa85ca60399b6dadc944e13fc7c662fce68b7fd6507dec93b536dad88
+DIST conkeror-1.0_pre20150227.tar.gz 314449 SHA256 b0da5b9215d730fe997156cdbd010fe8a738fd5c9bbe8facf7e33e2abd3229da SHA512 01f10f1b2c26b7f6a1cd6871c103d977e9df5a57a447e778e55491e420183f1c6522792515e4e6ea05f3bf9db4612af4fa67c4c07152aa71f8704fda9c595485 WHIRLPOOL a11e56eba16f8ac40e0d0f598f87169445513d2309fb1125cafc8e37ca3b4111c0f4fb532a331a57e6d071c6126efc6e69ff228f2af766e57984c73508b0b523
+DIST conkeror-1.0_pre20150519.tar.xz 242676 SHA256 8fdbb65acf44ea71b98449ec6540bd58ba90e4ab052fa43c07209a0e318819ce SHA512 49a3758baeb38c238aca253df0938cf308f6403d4237013dc23e9255affa23d516d1edb6fed31b0f705173e6441294d6602d575cfaeb3bb947ae7d0ac1cbaee9 WHIRLPOOL cc759843951c531d4899dba35dee5cec4acb504dd442e8fd0550d8f98bb526eb383ed889c889339a965071db64a5687d11b6b8a9e2167c06f4959db5dcbfc352
+DIST conkeror.png 5105 SHA256 b11856c32bdec9e9b045df44aa37727f6a3ec18507d376bf27675bc7ee042667 SHA512 fd44e2732a74ab6a54ef4a946f20619aa74d24d2244b0d6bedfa6d4680bc3247d297565550d8c3a5cc4a8ca608761ccb8f61e71cbe0c2851d400f8fa426e034f WHIRLPOOL 3fe3ea1f7f1caaa737ed3777b6b8cb6e10f971b5853a0a89de65c78e75323e8f01f01ea46d01fbff47dd97452e7a114b353322b4d8764a4d2bacf755c8fa3c66
diff --git a/www-client/conkeror/conkeror-1.0_pre20140212.ebuild b/www-client/conkeror/conkeror-1.0_pre20140212.ebuild
new file mode 100644
index 00000000000..60544933161
--- /dev/null
+++ b/www-client/conkeror/conkeror-1.0_pre20140212.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs fdo-mime
+
+DESCRIPTION="A Mozilla-based web browser whose design is inspired by GNU Emacs"
+HOMEPAGE="http://conkeror.org/"
+# snapshot from http://repo.or.cz/w/conkeror.git
+# conkeror.png is derived from http://commons.wikimedia.org/wiki/File:Conker.jpg
+SRC_URI="http://dev.gentoo.org/~ulm/distfiles/${P}.tar.gz
+ http://dev.gentoo.org/~ulm/distfiles/${PN}.png"
+
+# CC-BY-SA-3.0 for conkeror.png
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 ) CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="amd64 x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="|| ( >=www-client/firefox-5.0 >=www-client/firefox-bin-23.0 )"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ cp "${DISTDIR}/${PN}.png" . || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+ insinto /usr/share/${PN}
+ doins -r branding chrome components content defaults help locale modules \
+ search-engines style tests
+ doins application.ini *.manifest Info.plist
+
+ exeinto /usr/libexec/${PN}
+ doexe conkeror-spawn-helper
+ dosym ../../libexec/${PN}/conkeror-spawn-helper \
+ /usr/share/${PN}/conkeror-spawn-helper
+
+ newbin "${FILESDIR}/conkeror-r2.sh" conkeror
+ domenu "${FILESDIR}/conkeror.desktop"
+ doicon "${WORKDIR}/conkeror.png"
+
+ doman contrib/man/conkeror.1
+ dodoc CREDITS
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/www-client/conkeror/conkeror-1.0_pre20141005.ebuild b/www-client/conkeror/conkeror-1.0_pre20141005.ebuild
new file mode 100644
index 00000000000..e5e7087506c
--- /dev/null
+++ b/www-client/conkeror/conkeror-1.0_pre20141005.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs fdo-mime
+
+DESCRIPTION="A Mozilla-based web browser whose design is inspired by GNU Emacs"
+HOMEPAGE="http://conkeror.org/"
+# snapshot from http://repo.or.cz/w/conkeror.git
+# conkeror.png is derived from http://commons.wikimedia.org/wiki/File:Conker.jpg
+SRC_URI="http://dev.gentoo.org/~ulm/distfiles/${P}.tar.gz
+ http://dev.gentoo.org/~ulm/distfiles/${PN}.png"
+
+# CC-BY-SA-3.0 for conkeror.png
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 ) CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="|| ( >=www-client/firefox-5.0 >=www-client/firefox-bin-23.0 )"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ cp "${DISTDIR}/${PN}.png" . || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+ insinto /usr/share/${PN}
+ doins -r branding chrome components content defaults help locale modules \
+ search-engines style tests
+ doins application.ini *.manifest Info.plist
+
+ exeinto /usr/libexec/${PN}
+ doexe conkeror-spawn-helper
+ dosym ../../libexec/${PN}/conkeror-spawn-helper \
+ /usr/share/${PN}/conkeror-spawn-helper
+
+ newbin "${FILESDIR}/conkeror-r2.sh" conkeror
+ domenu "${FILESDIR}/conkeror.desktop"
+ doicon "${WORKDIR}/conkeror.png"
+
+ doman contrib/man/conkeror.1
+ dodoc CREDITS
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/www-client/conkeror/conkeror-1.0_pre20150227.ebuild b/www-client/conkeror/conkeror-1.0_pre20150227.ebuild
new file mode 100644
index 00000000000..a371bc663b9
--- /dev/null
+++ b/www-client/conkeror/conkeror-1.0_pre20150227.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs fdo-mime
+
+DESCRIPTION="A Mozilla-based web browser whose design is inspired by GNU Emacs"
+HOMEPAGE="http://conkeror.org/"
+# snapshot from http://repo.or.cz/w/conkeror.git
+# conkeror.png is derived from http://commons.wikimedia.org/wiki/File:Conker.jpg
+SRC_URI="http://dev.gentoo.org/~ulm/distfiles/${P}.tar.gz
+ http://dev.gentoo.org/~ulm/distfiles/${PN}.png"
+
+# CC-BY-SA-3.0 for conkeror.png
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 ) CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="|| ( >=www-client/firefox-5.0 >=www-client/firefox-bin-23.0 )"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ unpack ${P}.tar.gz
+ cp "${DISTDIR}/${PN}.png" . || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+ insinto /usr/share/${PN}
+ doins -r branding chrome components content defaults help locale modules \
+ search-engines style tests
+ doins application.ini *.manifest Info.plist
+
+ exeinto /usr/libexec/${PN}
+ doexe conkeror-spawn-helper
+ dosym ../../libexec/${PN}/conkeror-spawn-helper \
+ /usr/share/${PN}/conkeror-spawn-helper
+
+ newbin "${FILESDIR}/conkeror-r2.sh" conkeror
+ domenu "${FILESDIR}/conkeror.desktop"
+ doicon "${WORKDIR}/conkeror.png"
+
+ doman contrib/man/conkeror.1
+ dodoc CREDITS
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/www-client/conkeror/conkeror-1.0_pre20150519.ebuild b/www-client/conkeror/conkeror-1.0_pre20150519.ebuild
new file mode 100644
index 00000000000..da6b4a0c26a
--- /dev/null
+++ b/www-client/conkeror/conkeror-1.0_pre20150519.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils toolchain-funcs fdo-mime
+
+DESCRIPTION="A Mozilla-based web browser whose design is inspired by GNU Emacs"
+HOMEPAGE="http://conkeror.org/"
+# snapshot from git://repo.or.cz/conkeror.git
+# conkeror.png is derived from http://commons.wikimedia.org/wiki/File:Conker.jpg
+SRC_URI="http://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz
+ http://dev.gentoo.org/~ulm/distfiles/${PN}.png"
+
+# CC-BY-SA-3.0 for conkeror.png
+LICENSE="|| ( MPL-1.1 GPL-2 LGPL-2.1 ) CC-BY-SA-3.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="|| ( >=www-client/firefox-5.0 >=www-client/firefox-bin-23.0 )"
+
+S="${WORKDIR}/${PN}"
+
+src_unpack() {
+ unpack ${P}.tar.xz
+ cp "${DISTDIR}/${PN}.png" . || die
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)" CFLAGS="${CFLAGS}"
+}
+
+src_install() {
+ insinto /usr/share/${PN}
+ doins -r branding chrome components content defaults help locale modules \
+ search-engines style tests
+ doins application.ini *.manifest Info.plist
+
+ exeinto /usr/libexec/${PN}
+ doexe conkeror-spawn-helper
+ dosym ../../libexec/${PN}/conkeror-spawn-helper \
+ /usr/share/${PN}/conkeror-spawn-helper
+
+ newbin "${FILESDIR}/conkeror-r2.sh" conkeror
+ domenu "${FILESDIR}/conkeror.desktop"
+ doicon "${WORKDIR}/conkeror.png"
+
+ doman contrib/man/conkeror.1
+ dodoc CREDITS README
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/www-client/conkeror/files/conkeror-r2.sh b/www-client/conkeror/files/conkeror-r2.sh
new file mode 100644
index 00000000000..9b46d5bb0c0
--- /dev/null
+++ b/www-client/conkeror/files/conkeror-r2.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+# Wrapper script for conkeror
+
+for cmd in firefox firefox-bin; do
+ xr=$(type -p ${cmd})
+ if [[ -n ${xr} ]]; then
+ : ${MOZ_PLUGIN_PATH:=/usr/lib/nsbrowser/plugins} #497070
+ export MOZ_PLUGIN_PATH
+ exec "${xr}" -app /usr/share/conkeror/application.ini "$@"
+ fi
+done
+
+echo "$0: firefox required, but not found." >&2
+exit 1
diff --git a/www-client/conkeror/files/conkeror.desktop b/www-client/conkeror/files/conkeror.desktop
new file mode 100644
index 00000000000..fcf6123c9d4
--- /dev/null
+++ b/www-client/conkeror/files/conkeror.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Type=Application
+Version=1.0
+Name=Conkeror
+GenericName=Web Browser
+Comment=Conkeror is a Mozilla-based web browser whose design is inspired by GNU Emacs
+Icon=conkeror
+TryExec=/usr/bin/conkeror
+Exec=/usr/bin/conkeror %u
+Terminal=false
+Categories=Network;WebBrowser;
+MimeType=text/html;text/xml;
+StartupNotify=true
+StartupWMClass=Conkeror
diff --git a/www-client/conkeror/metadata.xml b/www-client/conkeror/metadata.xml
new file mode 100644
index 00000000000..f8e5d58cda1
--- /dev/null
+++ b/www-client/conkeror/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer>
+ <email>fauli@gentoo.org</email>
+ <name>Christian Faulhammer</name>
+</maintainer>
+<maintainer>
+ <email>ulm@gentoo.org</email>
+ <name>Ulrich Müller</name>
+</maintainer>
+<longdescription>
+ Conkeror is a keyboard-oriented, highly-customizable, highly-extensible
+ web browser based on Mozilla XULRunner, written mainly in JavaScript, and
+ inspired by exceptional software such as Emacs and vi. Conkeror features a
+ sophisticated keyboard system, allowing users to run commands and interact
+ with content in powerful and novel ways, and it is self-documenting,
+ featuring a powerful interactive help system.
+</longdescription>
+</pkgmetadata>